Assignments Assignments

Classes | Macros | Typedefs | Functions | Variables
jdmainct.cpp File Reference
`#include "jinclude.h"`
`#include "jpeglib.h"`

## Classes
struct | my_main_controller

## Macros
#define | JPEG_INTERNALS
#define | CTX_PREPARE_FOR_IMCU 0 /* need to prepare for MCU row */
#define | CTX_PROCESS_IMCU 1 /* feeding iMCU to postprocessor */
#define | CTX_POSTPONED_ROW 2 /* feeding postponed row group */

## Typedefs
typedef my_main_controller * | my_main_ptr

## Functions
| METHODDEF (void) process_data_simple_main JPP((j_decompress_ptr cinfo
| alloc_funny_pointers (j_decompress_ptr cinfo)
| make_funny_pointers (j_decompress_ptr cinfo)
| set_wraparound_pointers (j_decompress_ptr cinfo)
| set_bottom_pointers (j_decompress_ptr cinfo)
| start_pass_main (j_decompress_ptr cinfo, J_BUF_MODE pass_mode)
| process_data_simple_main (j_decompress_ptr cinfo, JSAMPARRAY output_buf, JDIMENSION *out_row_ctr, JDIMENSION out_rows_avail)
| process_data_context_main (j_decompress_ptr cinfo, JSAMPARRAY output_buf, JDIMENSION *out_row_ctr, JDIMENSION out_rows_avail)
| jinit_d_main_controller (j_decompress_ptr cinfo, boolean need_full_buffer)

## Variables
JSAMPARRAY | output_buf
JSAMPARRAY JDIMENSION * | out_row_ctr
JSAMPARRAY JDIMENSION JDIMENSION | out_rows_avail

## Macro Definition Documentation

## ◆ CTX_POSTPONED_ROW

#define CTX_POSTPONED_ROW 2 /* feeding postponed row group */

## ◆ CTX_PREPARE_FOR_IMCU

#define CTX_PREPARE_FOR_IMCU 0 /* need to prepare for MCU row */

## ◆ CTX_PROCESS_IMCU

#define CTX_PROCESS_IMCU 1 /* feeding iMCU to postprocessor */

## ◆ JPEG_INTERNALS

#define JPEG_INTERNALS

## Typedef Documentation

## ◆ my_main_ptr

typedef my_main_controller* my_main_ptr

## Function Documentation

## ◆ alloc_funny_pointers()

alloc_funny_pointers | ( | j_decompress_ptr | cinfo | ) |

## ◆ jinit_d_main_controller()

jinit_d_main_controller | ( | j_decompress_ptr | cinfo,
|  | boolean | need_full_buffer )

## ◆ make_funny_pointers()

make_funny_pointers | ( | j_decompress_ptr | cinfo | ) |

## ◆ METHODDEF()

METHODDEF | ( | void |  | ) |

## ◆ process_data_context_main()

process_data_context_main | ( | j_decompress_ptr | cinfo,
|  | JSAMPARRAY | output_buf,
|  | JDIMENSION * | out_row_ctr,
|  | JDIMENSION | out_rows_avail )

## ◆ process_data_simple_main()

process_data_simple_main | ( | j_decompress_ptr | cinfo,
|  | JSAMPARRAY | output_buf,
|  | JDIMENSION * | out_row_ctr,
|  | JDIMENSION | out_rows_avail )

## ◆ set_bottom_pointers()

set_bottom_pointers | ( | j_decompress_ptr | cinfo | ) |

## ◆ set_wraparound_pointers()

set_wraparound_pointers | ( | j_decompress_ptr | cinfo | ) |

## ◆ start_pass_main()

start_pass_main | ( | j_decompress_ptr | cinfo,
|  | J_BUF_MODE | pass_mode )

## Variable Documentation

## ◆ out_row_ctr

JSAMPARRAY JDIMENSION * out_row_ctr

## ◆ out_rows_avail

JSAMPARRAY JDIMENSION JDIMENSION out_rows_avail

## ◆ output_buf

JSAMPARRAY output_buf